# $Revision: 1.8.2.1 $, $Date: 2003/03/13 00:56:41 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Cache
%define		pnam	Mmap
Summary:	Cache::Mmap - Shared data cache using memory mapped files
Summary(pl):	Cache::Mmap - Wspdzielony bufor danych, uywajcy mapowanych w pamici plikw
Name:		perl-Cache-Mmap
Version:	0.05
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl(Storable)
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a shared data cache, using memory mapped files.
If routines are provided which interact with the underlying data,
access to the cache is completely transparent, and the module handles
all the details of refreshing cache contents, and updating underlying
data, if necessary.

%description -l pl
Ten modu jest implementacj wspdzielonego bufora (cache) danych,
uywajcego plikw mapowanych w pamici. Jeli s dostarczone funkcje
wsppracujce z podlegajcymi danymi, dostp do bufora jest
cakowicie przezroczysty, a modu obsuguje wszystkie szczegy
odwieania zawartoci bufora i uaktualniania buforowanych danych w
miar potrzeby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README Todo
%dir %{perl_sitearch}/Cache
%{perl_sitearch}/Cache/*.pm
%dir %{perl_sitearch}/auto/Cache
%dir %{perl_sitearch}/auto/Cache/Mmap
%attr(755,root,root) %{perl_sitearch}/auto/Cache/Mmap/*.so
%{perl_sitearch}/auto/Cache/Mmap/*.bs
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Cache-Mmap.spec,v $
Revision 1.8.2.1  2003/03/13 00:56:41  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.8  2003/02/25 00:37:36  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:27:45  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/12/25 23:45:40  radek
- BR: perl(Storable)

Revision 1.5  2002/09/16 08:16:16  ankry
- added missing dirs, cleaning
- release 2

Revision 1.4  2002/08/28 23:17:12  radek
- version 0.05

Revision 1.3  2002/08/28 11:27:13  radek
- fixed (?) Polish summary

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/27 18:06:39  radek
- new, STBR (weird license constraint will be removed in the next release)
